import axios from "./api/index";

interface ConfigResponse {
    title: string;
}


export let API = {
    getConfig: () => axios.get<ConfigResponse>("/api/config/get_config"),
    getTraces: () => axios.get("/api/traces/get_traces"),
    listTraces: () => axios.get("/api/traces/list"),
    getTrace: (traceId: string) => axios.get(`/api/traces/get_trace/${traceId}`),
    reloadTraces: () => axios.get("/api/traces/reload"), 
}